Xverify Widget Doesn't Allow the Api